servicemix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] Commented: (SMX4-471) Upgrade to Camel 2.2.0
Date Fri, 19 Feb 2010 13:14:40 GMT

    [ https://issues.apache.org/activemq/browse/SMX4-471?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=57698#action_57698
] 

Jean-Baptiste Onofré commented on SMX4-471:
-------------------------------------------

I downgraded Jetty to use 6.1.19 (in place of 6.1.22) to avoid cast failure in unit tests.
I upgraded commons-pool from 1.4 to 1.5.4 (required by Camel 2.2.0) but I got itests failure:

testNMROsgi(org.apache.servicemix.examples.IntegrationTest)  Time elapsed: 15.283 sec  <<<
ERROR!
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.activemq.activemq-pool
[39]: package; (&(package=org.apache.commons.pool.impl)(version>=1.4.0)(!(version>=1.5.0)))


> Upgrade to Camel 2.2.0
> ----------------------
>
>                 Key: SMX4-471
>                 URL: https://issues.apache.org/activemq/browse/SMX4-471
>             Project: ServiceMix 4
>          Issue Type: Task
>            Reporter: Gert Vanthienen
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 4.4.0
>
>         Attachments: SMX4-471.diff
>
>
> Camel 2.2.0 is about to get released.  It's probably a bit too late to get it included
in the upcoming 4.2.0 release, but we should do the upgrade after that release is done.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message